Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.xml.dtsm
Class DTSMHelper

    java.lang.Object
      com.dbxml.xml.dtsm.DTSMHelper

public final class DTSMHelper
extends java.lang.Object

DTSMHelper

Method Summary
`static DocumentTable` | `bytesToTable(byte[] b, SymbolTable symbols)`
`static DocumentTable` | `charsToTable(char[] ch, SymbolTable symbols)`
`static CompressedTable` | `compressTable(DocumentTable table)`
`static CompressedTable` | `compressTable(TableBuilder builder)`
`static TableBuilder` | `copyTable(DocumentTable table)`
`static TableBuilder` | `copyTable(DocumentTable table, SymbolTable symbols)`
`static DocumentTable` | `documentToTable(org.w3c.dom.Document doc, SymbolTable symbols)`
`static DocumentTable` | `fileToTable(java.io.File f, SymbolTable symbols)`
`static DocumentTable` | `inputStreamToTable(java.io.InputStream is, SymbolTable symbols)`
`static DocumentTable` | `nodeToTable(org.w3c.dom.Node node, SymbolTable symbols)`
`static DocumentTable` | `readerToTable(java.io.Reader reader, SymbolTable symbols)`
`static org.w3c.dom.Document` | `tableToDocument(DocumentTable table)`
`static org.w3c.dom.Node` | `tableToNode(DocumentTable table)`
`static void` | `tableToSAX(DocumentTable table, org.xml.sax.ContentHandler handler)`
`static java.lang.String` | `tableToText(DocumentTable table)`
`static java.lang.String` | `tableToText(DocumentTable table, boolean omitPrefix)`
`static void` | `tableToWriter(DocumentTable table, java.io.PrintWriter writer)`
`static void` | `tableToWriter(DocumentTable table, java.io.PrintWriter writer, boolean omitPrefix)`
`static void` | `tableToWriter(DocumentTable table, java.io.Writer writer)`
`static void` | `tableToWriter(DocumentTable table, java.io.Writer writer, boolean omitPrefix)`
`static DocumentTable` | `textToTable(java.lang.String text, SymbolTable symbols)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### tableToNode

    public static org.w3c.dom.Node tableToNode(DocumentTable table)
                                        throws DTSMException

  Throws:
    `DTSMException`

### tableToDocument

    public static org.w3c.dom.Document tableToDocument(DocumentTable table)
                                                throws DTSMException

  Throws:
    `DTSMException`

### tableToWriter

    public static void tableToWriter(DocumentTable table,
                                     java.io.Writer writer)
                              throws DTSMException

  Throws:
    `DTSMException`

### tableToWriter

    public static void tableToWriter(DocumentTable table,
                                     java.io.Writer writer,
                                     boolean omitPrefix)
                              throws DTSMException

  Throws:
    `DTSMException`

### tableToWriter

    public static void tableToWriter(DocumentTable table,
                                     java.io.PrintWriter writer)
                              throws DTSMException

  Throws:
    `DTSMException`

### tableToWriter

    public static void tableToWriter(DocumentTable table,
                                     java.io.PrintWriter writer,
                                     boolean omitPrefix)
                              throws DTSMException

  Throws:
    `DTSMException`

### tableToText

    public static java.lang.String tableToText(DocumentTable table)
                                        throws DTSMException

  Throws:
    `DTSMException`

### tableToText

    public static java.lang.String tableToText(DocumentTable table,
                                               boolean omitPrefix)
                                        throws DTSMException

  Throws:
    `DTSMException`

### tableToSAX

    public static void tableToSAX(DocumentTable table,
                                  org.xml.sax.ContentHandler handler)
                           throws DTSMException

  Throws:
    `DTSMException`

### nodeToTable

    public static DocumentTable nodeToTable(org.w3c.dom.Node node,
                                            SymbolTable symbols)
                                     throws DTSMException

  Throws:
    `DTSMException`

### documentToTable

    public static DocumentTable documentToTable(org.w3c.dom.Document doc,
                                                SymbolTable symbols)
                                         throws DTSMException

  Throws:
    `DTSMException`

### textToTable

    public static DocumentTable textToTable(java.lang.String text,
                                            SymbolTable symbols)
                                     throws DTSMException

  Throws:
    `DTSMException`

### bytesToTable

    public static DocumentTable bytesToTable(byte[] b,
                                             SymbolTable symbols)
                                      throws DTSMException

  Throws:
    `DTSMException`

### charsToTable

    public static DocumentTable charsToTable(char[] ch,
                                             SymbolTable symbols)
                                      throws DTSMException

  Throws:
    `DTSMException`

### inputStreamToTable

    public static DocumentTable inputStreamToTable(java.io.InputStream is,
                                                   SymbolTable symbols)
                                            throws DTSMException

  Throws:
    `DTSMException`

### readerToTable

    public static DocumentTable readerToTable(java.io.Reader reader,
                                              SymbolTable symbols)
                                       throws DTSMException

  Throws:
    `DTSMException`

### fileToTable

    public static DocumentTable fileToTable(java.io.File f,
                                            SymbolTable symbols)
                                     throws DTSMException

  Throws:
    `DTSMException`

### compressTable

    public static CompressedTable compressTable(DocumentTable table)
                                         throws DTSMException

  Throws:
    `DTSMException`

### compressTable

    public static CompressedTable compressTable(TableBuilder builder)
                                         throws DTSMException

  Throws:
    `DTSMException`

### copyTable

    public static TableBuilder copyTable(DocumentTable table,
                                         SymbolTable symbols)
                                  throws DTSMException

  Throws:
    `DTSMException`

### copyTable

    public static TableBuilder copyTable(DocumentTable table)
                                  throws DTSMException

  Throws:
    `DTSMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group